Package org.apache.lucene.backward_codecs.packed

# Class LegacyDirectMonotonicReader.Meta

java.lang.Object
org.apache.lucene.backward_codecs.packed.LegacyDirectMonotonicReader.Meta

All Implemented Interfaces:
  `Accountable`

Enclosing class:
  `LegacyDirectMonotonicReader`

public static class LegacyDirectMonotonicReader.Meta extends Object implements Accountable
In-memory metadata that needs to be kept around for `LegacyDirectMonotonicReader` to read data from disk.

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.util.Accountable

  `NULL_ACCOUNTABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `ramBytesUsed()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.util.Accountable

  `getChildResources`

- ## Method Details

  - ### ramBytesUsed

    public long ramBytesUsed()
    Specified by:
      `ramBytesUsed` in interface `Accountable`